﻿using Microsoft.Extensions.Configuration;
using NetworkResurrector.Domain.Models.Settings;
using NetworkResurrector.Domain.Services;

namespace NetworkResurrector.Application.Services
{
    public class ParamProvider : IParamProvider
    {
        private readonly IConfiguration _configuration;

        public ParamProvider(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public Credentials Credentials => _configuration.GetSection("Credentials").Get<Credentials>();
    }
}
