﻿using Microsoft.Extensions.DependencyInjection;
using NetworkResurrector.Application.Services;
using NetworkResurrector.Domain.Services;

namespace NetworkResurrector.Application
{
    public static class DependencyInjectionExtensions
    {
        public static void AddApplicationServices(this IServiceCollection services)
        {
            services.AddSingleton<IParamProvider, ParamProvider>();
            services.AddScoped<IUserService, UserService>();
        }
    }
}
